Cyberduck Mountain Duck CLI

#10101 closed defect (fixed)

Cannot delete S3 "folders"

Reported by: giorgiosironi Owned by: dkocher
Priority: normal Milestone: 6.3
Component: s3 Version: 6.2.6
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

S3 doesn't really have folders, only single files grouped according to / characters contained in their keys. However when clicking a folder and selecting Delete from the actions, I remember Cyberduck would recursively delete all contained keys. Now instead it seems to consider the folder as a file in its own right, failing:

HEAD /23435/ HTTP/1.1
Date: Fri, 06 Oct 2017 16:29:02 GMT
x-amz-content-sha256: e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855
Host: elife-striking-images.s3.amazonaws.com
x-amz-date: 20171006T162902Z
Authorization: ********
Connection: Keep-Alive
User-Agent: Cyberduck/6.2.6.26405 (Mac OS X/10.10.5) (x86_64)
HTTP/1.1 404 Not Found
x-amz-request-id: B06CBAA2F4FF02F1
x-amz-id-2: js/k9zPFoKbXjNgFChyqk8cwso+jfZ6tD7by4Xjx7KhoiRvTUhq6D7NYvaBM/C5fTM5375bNHes=
Content-Type: application/xml
Transfer-Encoding: chunked
Date: Fri, 06 Oct 2017 16:29:01 GMT
Server: AmazonS3

The workaround is to go inside the folder and ,manually delete all the files, but that shouldn't be necessary. Version 6.2.6 on Mac OS X.

Attachments (2)

screen_shot_2017-10-06_at_10.45.57.png (190.8 KB) - added by giorgiosironi on Oct 6, 2017 at 4:36:04 PM.
action
screen_shot_2017-10-06_at_09.09.41.png (27.6 KB) - added by giorgiosironi on Oct 6, 2017 at 4:36:15 PM.
result

Download all attachments as: .zip

Change History (5)

Changed on Oct 6, 2017 at 4:36:04 PM by giorgiosironi

action

Changed on Oct 6, 2017 at 4:36:15 PM by giorgiosironi

result

comment:1 Changed on Oct 6, 2017 at 6:16:59 PM by dkocher

  • Milestone set to 6.3
  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Oct 16, 2017 at 2:00:50 PM by surrealchemist

I'm dealing with this issue as well. We have versioning on buckets, and a "directory" gets "renamed" or deleted yet it continues to show up in the Cyberduck interface. You try to delete it and it gives you an error. It does not show up in the listing if you use the s3 cli. It doesn't show up in the aws dashboard unless you show versions.

I would expect if you had "show hidden files" turned off this should at least be hidden, and if hidden files was enabled it should be displayed differently to indicate it isn't actually there. It causes a lot of confusion with multiple people accessing a bucket as they are re-uploading things or placing them with previously deleted paths.

comment:3 Changed on Nov 3, 2017 at 12:48:28 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r43116.

Note: See TracTickets for help on using tickets.
swiss made software